#
# spec file for package gpdf (Version 0.112.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  gnome-common gnome2-devel-packages gpp intltool libgpp libpng tetex

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake binutils esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-common gnome-filesystem gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel intltool libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libjpeg libpng libstdc++-devel libtool libwnck libwnck-devel libxml2 libxml2-devel linc linc-devel openssl-devel orbit2 orbit2-devel pango pango-devel perl perl-XML-Parser pkgconfig popt-devel rpm te_ams te_latex tetex update-desktop-files

Name:         gpdf
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:      GPL
Group:        Productivity/Graphics/Viewers
Autoreqprov:  on
Summary:      A GNOME PDF Viewer
Version:      0.112.1
Release:      26.10
Source:       ftp://ftp.gnome.org/pub/GNOME/stable/sources/gpdf/gpdf-%{version}.tar.bz2
Patch0:       gpdf-CESA-2004-007.patch
Patch1:       xpdf2-underflow.patch
Patch2:       xpdf-goo-sizet.patch
Patch3:       xpdf-3.00pl2.patch
Patch4:       xpdf-3.00pl3.patch
Patch5:       xpdf202_combined.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://www.purl.org/NET/gpdf
# NOTE: Can use libpaper.

%description
GPdf is a viewer for Portable Document Format (PDF) files for GNOME.
GPdf is based on the Xpdf program and uses additional GNOME libraries
for better desktop integration.

GPdf includes the gpdf application, a Bonobo control for PDF display
which can be embedded in Nautilus, and a Nautilus property page for PDF
files.



Authors:
--------
    copyright 1996-2003 Glyph & Cog, LLC.
    Original GNOME port by Michael Meeks <michael@ximian.com> with some help from Miguel de Icaza <miguel@ximian.com>
    Port to GNOME 2 by Martin Kretzschmar <m_kretzschmar@gmx.net>

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 
%patch5 -p1
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal -I /opt/gnome/share/aclocal/gnome2-macros
autoconf

%build
ac_cv_path_LPR_PROG=/usr/bin/lpr \
CFLAGS="$RPM_OPT_FLAGS -Wall" \
LIBS=-L/usr/X11R6/lib ./configure \
    --prefix=%prefix \
    --libexecdir=%prefix/%_lib/gpdf \
    --libdir=%prefix/%_lib \
    --localstatedir=/var/%_lib \
    --sysconfdir=%sysconfdir
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make -i install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%suse_update_desktop_file -r %name GTK Application Graphics Viewer
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS CHANGES ChangeLog COPYING NEWS README README.GPdf
%{prefix}/share/pixmaps/*.png
%{prefix}/share/pixmaps/gpdf
%{prefix}/share/applications/gpdf.desktop
%{prefix}/bin/*
%{prefix}/%_lib/gpdf
%{prefix}/%_lib/bonobo/servers/*.server
%{prefix}/share/application-registry/*.applications
%{prefix}/share/gnome-2.0/ui/*.xml
%{prefix}/share/gpdf
%{prefix}/share/mime-info/*.keys

%changelog -n gpdf
* Thu Dec 15 2005 - sbrabec@suse.cz
- Fixed more xpdf overflows and signed integer multiplications
  (Chris Evans, Martin Pitt, #137156).
* Wed Dec 07 2005 - sbrabec@suse.cz
- Xpdf heap owerflow fixes (#137156, CAN-2005-3191, CAN-2005-3192).
* Wed Jan 19 2005 - hhetter@suse.de
- used upstream patch for CAN-2005-0064 [#49840]
* Tue Jan 18 2005 - hhetter@suse.de
- added security patch for IDEF0764: (Xpdf makeFileKey2 Stack
  Overflow), SUSE Bug Id# 49840
* Mon Jan 10 2005 - meissner@suse.de
- Applied xpdf security patch. CAN-2004-1125/#49463
* Mon Nov 08 2004 - meissner@suse.de
- Added missing xpdf patches for fixes on 64bit architecture.
* Mon Oct 18 2004 - meissner@suse.de
- Added one missing sizeof check for CESA-2004-007 [#44963]
* Tue Oct 12 2004 - meissner@suse.de
- Merged xpdf2 patch enhancements from Sebastian.
* Fri Oct 08 2004 - meissner@suse.de
- Applied xpdf2 security patch, CESA-2004-007. #43084
* Sat Feb 28 2004 - ro@suse.de
- update to 0.112.1 to make it build
* Thu Oct 09 2003 - sbrabec@suse.cz
- Added new SuSE package, version 0.110 (GNOME 2.4).
